Subject: Re: Last Call: <draft-thaler-iftype-reg-05.txt> (Guidelines and Registration Procedures for Interface Types and Tunnel Types) to Proposed Standard

From: Russ Housley <[email-masked]>
Date: Thu, 10 Oct 2019 13:00:00 -0400

The IANA Considerations is one sentence:

   This entire document is about IANA considerations.

I agree that the entire document is about IANA considerations; however, I think it would be useful to list the registries that are impacted, and how they are impacted.

Russ

> On Oct 10, 2019, at 12:11 PM, The IESG <[email-masked]> wrote:
> 
> 
> The IESG has received a request from an individual submitter to consider the
> following document: - 'Guidelines and Registration Procedures for Interface
> Types and Tunnel
>   Types'
>  <draft-thaler-iftype-reg-05.txt> as Proposed Standard
> 
> The IESG plans to make a decision in the next few weeks, and solicits final
> comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2019-11-07. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the beginning of
> the Subject line to allow automated sorting.
> 
> Abstract
> 
> 
>   The registration and use of interface types ("ifType" values)
>   predated the use of IANA Considerations sections and YANG modules,
>   and so confusion has arisen about the interface type allocation
>   process.  Tunnel types were then added later, with the same
>   requirements and allocation policy as interface types.  This document
>   updates RFC 2863, and provides updated guidelines for the definition
>   of new interface types and tunnel types, for consideration by those
>   who are defining, registering, or evaluating those definitions.
> 
> 
> 
> 
> The file can be obtained via
> https://datatracker.ietf.org/doc/draft-thaler-iftype-reg/
> 
> IESG discussion can be tracked via
> https://datatracker.ietf.org/doc/draft-thaler-iftype-reg/ballot/
> 
> 
> No IPR declarations have been submitted directly on this I-D.

---

From: S Moonesamy <[email-masked]>
Date: Mon, 14 Oct 2019 07:51:38 -0700

Hello,
>[email-masked] mailing lists by 2019-11-07. Exceptionally, comments may be

RFC 2863 is a Draft Standard which states that it specifies a 
protocol.  draft-thaler-iftype-reg is about guidance for registration 
requests.  The write-up does not explain why the intended status of 
the document is "Proposed Standard".  That is an usual (intended) 
status when a document is about procedures (e.g. Section 6.1).

Section 6.3.1 states that "A link to some document is required".  The 
requirement is phrased in such a way that it leaves a lot of room for 
interpretation.  Does the person reviewing those (future) requests 
wish to deal with that?

Regards,
S. Moonesamy